#!/bin/sh

mount -o loop android.img rfs

if [ ! -e /dev/binder ]; then
  echo "No /dev/binder. Try to insmod it."
  insmod rfs/lib/modules/2.6.23/kernel/drivers/binder/binderdev.ko
  if [ ! -e /dev/binder ]; then
    echo "failed."
    exit 0
  fi
fi

if [ ! -e rfs/dev/binder ]; then
  cp -a /dev rfs
  chmod 666 rfs/dev/binder
fi

umask 000
chroot ./rfs /a.sh

